<?php
/**
 * 
 **/
class ECalculatorWidget extends ESimpleActionWidget {
	
	public $num1 = 0;
	public $num2 = 0;

/**
 * INitialization
 **/
	public function init($widgetAction = false) {		
		parent::init();

		//Full widget initialization IF the current request isn't a self-request
		if (!$widgetAction) {
			EJsWidgetBehavior::prepare($this);
			$this->render('index');
		}
	}

/**
 * Defining which params to be passed to the js instance - these ones will be recent in the widget's "opt" object
 * Can be set only widget attribute names or arbitrary name=>value pairs
 **/
	public function jsAttributes() {
		return array_merge(parent::jsAttributes(), array(
			'num1','num2'
		));
	}
	
	
	
/**
 * UI helpers
 **/
	public function num1() {
		return CHtml::textField($this->id . '_num1', $this->num1);
	}

	public function num2() {
		return CHtml::textField($this->id . '_num2', $this->num2);
	}

	public function bAdd() {
		return CHtml::button('add', array(
			'id' => $this->id . '_add',
			'onclick'=>$this->jsObj() . '.add()'
		));
	}

	
/**
 * Widget self-actions
 * 
 **/
	public function actionAdd() {
		echo (int)$this->num1 + (int)$this->num2;
	}

}
