/**
 * Defining JS prototype holding ECalculatorWidget's UI functionalities
 * The prototype is inherited from $.ejswidget (ejswidget.js)
 **/

;$.ejswidget.define("ECalculatorWidget", {

/**
 * $.ejswidget::opt
 **/
	opt : {
	  
	},

/**
 * $.ejswidget::onCreate()
 * Initialization here - called right after the widget has been rendered
 **/
	onCreate : function() {

	},

/**
 * $.ejswidget::destroy()
 * Cleanup here - you have to call it manually
 **/
	destroy : function() {

	},





/**
 ************** Custom members from here ************
 **/
	val : function(id) {
		return $("#" + this.opt.id + "_" + id).val();
	},

/**
 * Constructing self action calls
 * $.ejswidget::createUrl() - base function to construct URLs for self actions
 **/
	_op : function(op, callback) {
		
		var me = this;

		$.get(this.createUrl(op, {
			num1 : this.val("num1"),
			num2 : this.val("num2")
		}), function(res){
			$("#" + me.opt.id + "_result").html(res);
		});
	
	},

/**
 * Calling self action "add"
 **/
	add : function() {
		this._op("add");
	}

});
